
function Skinner:EditingUI()

-->>-- Toggle Button
	if FuBarFrame1 then self:moveObject(EditingFrameToggleButton, nil, nil, "-", 30) end

-->>-- Title Panel
	self:applySkin(EditingFrameTitleBar)
	self:skinEUIEB(EditingEditBox)
	
-->>-- Navigation Panel
	self:applySkin(EditingBoxNavigationFrame)
	self:keepFontStrings(EditingFrameParentScrollFrame)
	self:skinScrollBar(EditingFrameParentScrollFrame)
	EditFrameParentHighlight:SetAlpha(1)
	self:keepFontStrings(EditingFrameChildScrollFrame)
	self:skinScrollBar(EditingFrameChildScrollFrame)
	EditFrameChildHighlight:SetAlpha(1)
	
-->>-- Anchor Panel
	self:applySkin(EditingFrameAnchorBar)
	self:moveObject(EditingEditAnchorPoint, "-", 8, nil, nil)
	self:skinEUIEB(EditingEditAnchorPoint)
	self:skinEUIEB(EditingEditRelativeTo)
	self:skinEUIEB(EditingEditRelativePoint)
	self:moveObject(EditingEditX, "-", 5, nil, nil)
	EditingEditX:SetWidth(40)
	self:skinEUIEB(EditingEditX)
	self:moveObject(EditingEditY, "-", 5, nil, nil)
	EditingEditY:SetWidth(40)
	self:skinEUIEB(EditingEditY)
	self:skinEUIEB(EditingEditWidth)
	self:skinEUIEB(EditingEditHeight)
	self:skinEUIEB(EditingFrameClipboard)
	
-->>-- Calculations Panel
	self:applySkin(EditingFrameCalculationsBar)
	self:skinEUIEB(EditingFrameR)
	self:skinEUIEB(EditingFrameG)
	self:skinEUIEB(EditingFrameB)
	self:skinEUIEB(EditingFrameTCoordWidth)
	self:skinEUIEB(EditingFrameTCoordHeight)
	self:skinEUIEB(EditingFrameTCoordLeft)
	self:skinEUIEB(EditingFrameTCoordRight)
	self:skinEUIEB(EditingFrameTCoordTop)
	self:skinEUIEB(EditingFrameTCoordBottom)

-->>-- Debug Panel
	self:applySkin(EditingFrameDebugBar)
	self:skinEUIEB(EditingFrameDebugPrint)
	self:skinEUIEB(EditingFrameRunScript)
	
-->>-- Tab Panel
	self:applySkin(ExpandCalculationButton)
	self:applySkin(ExpandDebugButton)
	
end

function Skinner:skinEUIEB(frame)

	local kRegions = { unpack(ebRegions), 9 }
	self:keepRegions(frame, kRegions)
	
	local l, r, t, b = frame:GetTextInsets()
	frame:SetTextInsets(l + 5, r + 0, t, b)
	
	-- move the title to the right
	if self:getRegion(frame, 9) then self:moveObject(self:getRegion(frame, 9), "+", 5, nil, nil) end
	if self:getChild(frame, 1) then self:moveObject(self:getChild(frame, 1), "+", 5, nil, nil) end

	frame:SetBackdrop({
		bgFile = "Interface\\ChatFrame\\ChatFrameBackground", tile = true, tileSize = 16,
		edgeFile = "Interface\\AddOns\\Skinner\\textures\\krsnik", edgeSize = 16,
		insets = {left = 4, right = 4, top = 4, bottom = 4},
	})
	frame:SetBackdropBorderColor(.2, .2, .2, 1)
	frame:SetBackdropColor(.1, .1, .1, 1)

end
