local _G = getfenv(0)

function Skinner:ProfessionsBook()

	self:keepFontStrings(ProfessionsBookFrame)
	ProfessionsBookFrame:SetWidth(ProfessionsBookFrame:GetWidth() - 120)
	ProfessionsBookFrame:SetHeight(ProfessionsBookFrame:GetHeight() - 70)
	self:moveObject(SkillLevel, nil, nil, "-", 70)
	self:moveObject(AuctionFrameCloseButton, "+", 126, "+", 8)
	self:moveObject(ProfessionsBookOpenSearchButton, "+", 60, "-", 30)
	local xOfs, yOfs = 120, 20
	self:moveObject(ProfessionsBookCharacterDropDownMenu, "+", xOfs, "+", yOfs)
	self:moveObject(ProfessionsBookPlacesDropDownMenu, "+", xOfs, "+", yOfs)
	self:moveObject(ProfessionsBookTradeTypeDropDownMenu, "+", xOfs, "+", yOfs)
	self:moveObject(TradeItemListScrollFrame, "+", xOfs, "+", yOfs)
	yOfs = 70
	self:moveObject(ProfessionsBookChannelsDropDownMenu, "+", xOfs, "-", yOfs)
	self:moveObject(ProfessionsBookSendButton, "+", xOfs, "-", yOfs)
	self:moveObject(ProfessionsBookOptionsButton, "+", xOfs, "-", yOfs)
	self:moveObject(ProfessionsBookCloseButton, "+", xOfs, "-", yOfs)
	self:moveObject(ProfessionsBookDetailScrollFrame, nil, nil, "-", 30)
	for i = 1, 6 do
		local tsb = _G["ProfessionsBookTradeSkillButton"..i]
		self:keepRegions(tsb, {3, 4})
		self:applySkin(tsb)
	end
	self:keepFontStrings(ProfessionsBookCharacterDropDownMenu)
	self:keepFontStrings(ProfessionsBookChannelsDropDownMenu)
	self:keepFontStrings(ProfessionsBookPlacesDropDownMenu)
	self:keepFontStrings(ProfessionsBookTradeTypeDropDownMenu)
	self:keepFontStrings(ProfessionsBookDetailScrollFrame)
	self:skinScrollBar(ProfessionsBookDetailScrollFrame)
	self:keepFontStrings(TradeItemExpandButtonFrame)
	self:keepFontStrings(TradeItemListScrollFrame)
	self:skinScrollBar(TradeItemListScrollFrame)
	self:applySkin(ProfessionsBookFrame)
	
-->>-- Search Frame
	self:SecureHook(ProfessionsBook, "HideSearchFrame", function()
		ProfessionsBookFrame.sf:Hide()
		end)
	self:SecureHook(ProfessionsBook, "ShowSearchFrame", function()
		ProfessionsBookFrame.sf:Show()
		end)
	ProfessionsBookFrame.sf = CreateFrame("Frame", nil, ProfessionsBookFrame)
	ProfessionsBookFrame.sf:SetPoint("TOPLEFT", ProfessionsBookFrame, "TOPRIGHT", -10, -60)
	ProfessionsBookFrame.sf:SetWidth(320)
	ProfessionsBookFrame.sf:SetHeight(360)
	self:applySkin(ProfessionsBookFrame.sf)
	self:skinEditBox(ProfessionsBookSearchBox, {9})
	self:moveObject(ProfessionsBookSearchButton, "+", 10, "+", 0)
	self:keepFontStrings(SearchResultScrollFrame)
	self:skinScrollBar(SearchResultScrollFrame)

-->>-- Options Frame
	self:applySkin(ProfessionsBookOptionsDialog)
	
end
